/******************************************************************************

Licensed Materials - Property of IBM 

5655-S97 

© Copyright IBM Corp. 2012 

This source material is provided "AS-IS" under the terms and
conditions of the IBM Customer Agreement and of the associated
Licensed Program Specifications documentation for CICS Transaction
Server for z/OS.

The terms and conditions of this license permit users to modify this
source material and DO NOT provide for any entitlement to defect
correction.

******************************************************************************/
package $packageName$;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.IHandlerListener;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.handlers.HandlerUtil;

% Options in the template:
%
% packageName
% className
% zosObject
% zosObjectDescription

public class Hello$zosObject$Handler implements IHandler {

	@Override
	public void addHandlerListener(IHandlerListener handlerListener) {
	}

	@Override
	public void dispose() {
	}

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		
		Shell currentShell = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell();
		ISelection currentSelection = HandlerUtil.getCurrentSelection(event);
		Object selectedObject = null;
		if(currentSelection instanceof StructuredSelection){
			selectedObject = ((StructuredSelection)currentSelection).getFirstElement();
		}
		MessageBox box = new MessageBox(currentShell);
		box.setText("Hello $zosObjectDescription$");
		if(selectedObject != null){
			box.setMessage(selectedObject.toString());
		}
		box.open();
		return null;
	}
	
	@Override
	public boolean isEnabled() {
		return true;
	}

	@Override
	public boolean isHandled() {
		return true;
	}

	@Override
	public void removeHandlerListener(IHandlerListener handlerListener) {
	}

}
